# $Revision: 1.42 $, $Date: 2006/08/23 18:23:30 $
Summary:	Tools for the XFS filesystem
Summary(pl):	Narzdzia do systemu plikowego XFS
Name:		xfsdump
Version:	2.2.42
Release:	1
License:	GPL
Group:		Applications/Archiving
Source0:	ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}_%{version}-1.tar.gz
# Source0-md5:	4e113a39b07723bbb140d2e5c5389cfe
Patch0:		%{name}-miscfix.patch
Patch1:		%{name}-libtool.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	attr-devel >= 2.4.15
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	xfsprogs-devel >= 2.6.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_bindir		/usr/sbin

%description
The xfsdump package contains xfsdump, xfsrestore and a number of other
utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium. It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes. Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem. Subsequent incremental backups can then
be layered on top of the full backup. Single files and directory
subtrees may be restored from full or partial backups.

%description -l pl
Pakiet zawiera programy xfsdump, xfsrestore i inne narzdzia do
administracji systemami plikw XFS.

xfsdump kontroluje system plikw oraz wykrywa, ktre czci wymagaj
wykonania kopii zapasowej, a nastpnie kopiuje te dane na podany dysk,
tam lub inne medium danych. Program uywa specyficznych dla XFS
funkcji optymalizujcych kopi zapasow (rwnie znane jako
rozszerzone atrybuty kopii zapasowych XFS). Stworzone kopie zapasowe
s "endian safe" i przez to mog by przenoszone pomidzy maszynami
linuksowymi oraz IRIX pracujcymi na rnych architekturach.

xfsrestore wykonuje operacj przeciwn do xfsdump; moe on odzyska
system plikw z kopii zapasowej. Przyrostowe kopie zapasowe mog by
uywane wcznie z pen kopi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f aclocal.m4
%{__aclocal} -I m4
%{__autoconf}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} -I/usr/include/ncurses"

%{__make} \
	LIBUUID="-luuid"

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install \
	DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev \
	DIST_MANIFEST="$DIST_INSTALL_DEV"

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/xfsrq.8*
echo ".so man8/xfsdq.8" > $RPM_BUILD_ROOT%{_mandir}/man8/xfsrq.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{CHANGES,README.*}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfsdump.spec,v $
Revision 1.42  2006/08/23 18:23:30  glen
- add libtool patch

Revision 1.41  2006/08/23 17:44:08  qboosh
- updated to 2.2.42; doesn't require dmapi now

Revision 1.40  2006/06/22 06:24:31  arekm
- up to 2.2.38

Revision 1.39  2006/01/21 21:09:59  qboosh
- updated to 2.2.33, removed outdated xfsrq patch

Revision 1.38  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.37  2005/12/12 16:53:50  czucz
- %{_includedir} macro used

Revision 1.36  2005/08/06 17:11:06  dzeus
- up tp 2.2.30
- updated xfsrq.patch
- removed gcc4.patch (fixed in src)

Revision 1.35  2005/06/17 20:29:45  areq
- add gcc4.patch

Revision 1.34  2005/06/09 10:26:44  blues
- release 2 - added xfsrq patch, make it working with our setquota tool

Revision 1.33  2005/05/18 09:39:23  qboosh
- cosmetic

Revision 1.32  2004/10/17 15:26:32  qboosh
- updated to 2.2.25, updated miscfix patch

Revision 1.31  2004/05/13 20:17:30  areq
- 2.2.21

Revision 1.30  2004/03/27 12:57:19  areq
- 2.2.19

Revision 1.29  2004/01/13 23:01:17  qboosh
- updated to 2.2.16

Revision 1.28  2003/12/01 10:12:19  areq
- 2.2.14

Revision 1.27  2003/10/09 14:22:47  qboosh
- s/e2fsprogs-devel/libuuid-devel/

Revision 1.26  2003/08/22 10:42:06  areq
- source from Release-1.3

Revision 1.25  2003/08/10 18:17:05  areq
- BR ncurses-devel

Revision 1.24  2003/08/08 19:50:40  qboosh
- 2.2.13, added miscfix patch

Revision 1.23  2003/06/16 12:17:28  ankry
- md5

Revision 1.22  2003/05/25 06:28:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/12 09:17:31  misi3k
- updated to 2.2.6

Revision 1.20  2002/11/27 11:28:46  areq
- 2.2.4, STBR
- remove outdated patches

Revision 1.19  2002/11/05 10:38:15  areq
- fix log message

Revision 1.18  2002/11/04 23:21:19  areq
- BuildRequires:  dmapi-devel >= 2.0.5-1

Revision 1.17  2002/09/01 20:08:34  areq
- 2.1.5, STBR

Revision 1.16  2002/08/20 18:11:48  qboosh
- builds now, with correct optflags

Revision 1.15  2002/08/13 16:30:16  baggins
- started update do 2.1.2

Revision 1.14  2002/07/20 13:53:29  areq
- 2.0.3, STBR
- new %doc

Revision 1.13  2002/07/03 09:24:07  wolf
- spelling

Revision 1.12  2002/06/11 12:47:28  baggins
- updated to 2.0.1

Revision 1.11  2002/05/21 23:15:05  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/14 11:32:22  mkierus
- 2.0.0, STBR

Revision 1.7  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:39  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/12 19:08:37  baggins
- updated to 1.1.3
- buildrequires dmapi-devel

Revision 1.3  2001/10/11 14:39:56  qboosh
- BuildRequires: autoconf

Revision 1.2  2001/06/01 13:10:06  baggins
- updated to 1.0.9
- buildrequires latest xfsprogs-devel (1.2.7)

Revision 1.1  2001/05/01 21:01:19  misiek
- initial pld release
